#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=flask-session
%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
#tests are failing for reasons as yet unknown.
override_dh_auto_test:
# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -d debian/doctrees -N -bhtml docs/ debian/html
# Fix privacy-breach-generic
execute_before_dh_sphinxdoc:
	find debian/python-flask-session-doc/ -name '*.html' -exec sed -i 's/src=/""/g' {} \;
	find debian/python-flask-session-doc/ -name '*.html' -exec sed -i 's/<link rel=/""/g' {} \;
	find debian/python-flask-session-doc/ -name '*.js' -delete
#Fix duplicate-files
	jdupes -rl debian/python-flask-session-doc/usr

#fix package-contains-empty-director	
override_dh_link:
	dh_link
	find debian/python-flask-session-doc/ -type d -empty -delete
	
